# HG changeset patch
# User Alexey K <lepik.stv@gmail.com>
# Date 1444479413 -10800
#      Sat Oct 10 15:16:53 2015 +0300
# Node ID 2bf8f254d6ac3fce89b0693b6feb9568a4bcf29e
# Parent  f8d7a8b1f4f57f36be6f6130f83cb8f36dc1b2d5
[patch] doesn't recognize multiple comm ports in Win 7 - issue	#2783
Description of the problem in the MSDN:
https://msdn.microsoft.com/ru-ru/en-en/library/aa363858(v=vs.85).aspx
"To specify a COM port number greater than 9, use the following syntax: "\\.\COM10".
This syntax works for all port numbers and hardware that allows COM port numbers to
be specified."
But there is not quite right :) They write "\\.\COM10" it's not going to work.
Correctly so: "\\\\.\\COM10"

I tested on Win7x32, COM > 9. Work correctly.

diff -r f8d7a8b1f4f5 -r 2bf8f254d6ac chirp/platform.py
--- a/chirp/platform.py	Thu Oct 08 12:02:04 2015 +0300
+++ b/chirp/platform.py	Sat Oct 10 15:16:53 2015 +0300
@@ -29,7 +29,7 @@
 
     ports = []
     for i in range(1, 257):
-        portname = "COM%i" % i
+        portname = "\\\\.\\COM%i" % i
         try:
             mode = win32con.GENERIC_READ | win32con.GENERIC_WRITE
             port = \
